Bug 106468 - [patch] upgrade cvs2svn to v1.5.0
Summary: [patch] upgrade cvs2svn to v1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joseph Koshy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-08 07:20 UTC by Joseph Koshy
Modified: 2007-01-10 08:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (9.83 KB, patch)
2006-12-08 07:20 UTC, Joseph Koshy
no flags Details | Diff
cvs2svn-1.5.0.diff (9.96 KB, patch)
2007-01-02 18:29 UTC, lwhsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Koshy freebsd_committer 2006-12-08 07:20:06 UTC
This patch upgrades devel/cvs2svn to v1.5.0.

If the port's maintainer approves, I would be happy to commit it.

Fix: Patch attached with submission follows:
Comment 1 Joseph Koshy freebsd_committer 2006-12-08 07:56:34 UTC
State Changed
From-To: open->feedback

Take responsibility for this PR and CC' the ports maintainer. 


Comment 2 Joseph Koshy freebsd_committer 2006-12-08 07:56:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jkoshy

Take responsibility for this PR and CC' the ports maintainer.
Comment 3 lwhsu 2007-01-02 18:29:45 UTC
Hello,

This patch contains:

- Update to 1.5.0
- Fix MASTER_SITES
- Add manual page (cvs2svn.1)

Since fetching from the URLs list in the MASTER_SITES are all filed,
and downloading from the official site needs a session cookie,
we should use FETCH_CMD= wget -c and FETCH_DEPENDS, or I suggest
put the distfile on ftp.FreeBSD.org.

I also put one copy on http://www.cs.nctu.edu.tw/~lwhsu/ports/distfiles/cvs2svn-1.5.0.tar.gz
put this URL in the MASTER_SITES is ok.

By the way, I think you can commit the patch due to maintainer timeout.

--
Best Regards,
Li-Wen Hsu
Comment 4 dfilter service freebsd_committer 2007-01-10 08:20:34 UTC
jkoshy      2007-01-10 08:20:28 UTC

  FreeBSD ports repository

  Modified files:
    devel/cvs2svn        Makefile distinfo pkg-plist 
  Log:
  Update to v1.5.0.  Upstream changes since the prior ported
  version (v1.3.1) include:
   - Support for multiproject conversions.
   - New options: `--output', `--co', `--cvs', `--sort', `--auto-props',
     `--symbol-default'.
   - Options `--force-branch' and `--force-tag' now accept regexes.
   - Speedups, reduction in disk space needed for conversion.
   - Multicomponent `--trunk', `--tags' and `--branches' paths.
   - Better warning messages and error handling.
   - Improved handling of commit dependencies and multibranch
     commits.
   - Scripts to help isolate conversion problems and shrink
     test cases.
  
  PR:             ports/106468
  Submitted by:   Li-Wen Hsu <lwhsu@lwhsu.ckefgisc.org>
  
  Revision  Changes    Path
  1.11      +14 -4     ports/devel/cvs2svn/Makefile
  1.9       +3 -3      ports/devel/cvs2svn/distinfo
  1.3       +148 -0    ports/devel/cvs2svn/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Joseph Koshy freebsd_committer 2007-01-10 08:20:44 UTC
State Changed
From-To: feedback->closed

Patch applied, thanks.